function [C,D,tc]=clp(y,fs,T,p)
% T: ms-ben
% A BEMENETRE TERJEDESI KESLELTETES NELKULI IMPULZUSVALASZ KELL!!
Lt=length(T);
energia = abs(y).^p; % (y^2) - RMS(zaj // keskenysáv is lehet)
Eo=sum(energia(1:end));      

t=(0:length(energia)-1)/fs;
tc= sum(energia(:).*t(:))./Eo;

C=NaN(size(T)); D=NaN(size(T));

for j=1:Lt,
pnter=T*fs/1000;
Ee=sum(energia(1:pnter));
El=sum(energia(pnter:end));

C(j)=20/p*log10(Ee/El);
D(j)=100*(Ee/Eo);
end;
